package com.ss.android.ugc.aweme.ecommerce.mall;

import X.7he;
import X.C0295Crj;
import X.C4519EiJ;
import X.C4794Emk;
import X.C4960EpQ;
import X.C5188Et6;
import X.CeT;
import X.M12;
import X.P6w;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import androidx.fragment.app.Fragment;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.TabFragmentNode;

public abstract class ShopMallTabBase extends TabFragmentNode {
    public C5188Et6 LIZIZ;
    public final C0295Crj LIZJ = 7he.LIZ(new C4960EpQ(this));
    public String LJ;
    public boolean LJIIIZ;
    public final Context LJIIJ;

    static {
        Covode.recordClassIndex(70233);
    }

    private final C4794Emk LIZIZ() {
        return (C4794Emk) this.LIZJ.getValue();
    }

    public abstract C5188Et6 LIZ(Context context, String str);

    public final Bundle LJII() {
        return null;
    }

    public String cC_() {
        return "homepage_shop_mall";
    }

    public final Class<? extends Fragment> LJI() {
        return MallMainFragment.class;
    }

    public final String LJ() {
        return LIZIZ().LJIIIZ;
    }

    public final String ap_() {
        return LIZIZ().LJIIJ;
    }

    public final void LIZLLL() {
        if (this.LIZIZ == null) {
            this.LIZIZ = LIZ(this.LJIIJ, cC_());
            P6w.LIZ();
        }
        C5188Et6 et6 = this.LIZIZ;
        if (et6 != null) {
            et6.LIZ(this.LJ, this.LJIIIZ);
        }
    }

    public ShopMallTabBase(Context context) {
        M12.LIZ(context);
        this.LJIIJ = context;
    }

    public final View LIZ(C4519EiJ eiJ) {
        M12.LIZ(eiJ);
        CeT.LIZIZ.LIZ(cC_());
        return eiJ.LIZ(LIZIZ());
    }
}
